# Administrate Weblink and Wordpress plugin

## Weblink Setup

From clean CB-provided Ubuntu installation:

### Run tasksel to install LAMP server.

### Install git and apache modules:
    apt-get install git
    apt-get install curl libcurl3 libcurl3-dev php5-curl
    apt-get install php5-mcrypt
    a2enmod ssl
    a2enmod rewrite
    a2enmod headers

### Create directory and install code:
    mkdir /home/weblink
    cd /home/weblink/
    git clone git@github.com:Administrate/weblink.git

### Create database 'weblink' and add user to it.

### Install Weblink database:
    # backup
    mysqldump -u -p weblink > weblink.sql
    # install
    php weblink-components/db-install.php --db weblink --user root --password <password>

### Install SSL certificate.

### Point a domain to folder containing Weblink code (for https and http).

### Add database credentials to weblink-components/config.php (create from config-example.php).

### Ensure .htaccess rewrite rule points to correct location of run.php.

## Tests - Selenium and Unit Tests

For information on running the test see the readme in tests/.

## Wordpress Plugin Setup

For information about the plugin please refer to wordpress-components/readme.txt

## Dockerised Version
To set up the docker version you will need to copy the file from the docker/config.php to the weblink-components 
folder. You will then need to change the weblink_db.sql in the docker/fixtures folder to point to your own instance 
in the last line of that file.

The dockerised verson can be run by running the following commands:

    make build
    make run_dev

Once you have built it once you won't need to do it every time. 
To debug you can change the `display errors` to `On` in the `php.ini` file and rebuild the image