<?php

class ErrorHandler
{
    /* @var Raven_Client */
    static protected $sentryClient = null;
    /* @var Raven_ErrorHandler */
    static protected $sentryErrorHandler = null;

    static function isEnabled()
    {
      return ErrorHandler::$sentryClient !== null && ErrorHandler::$sentryErrorHandler !== null;
    }

    static function handleError($type, $message, $file, $line)
    {
        if (ErrorHandler::isEnabled()) {
            ErrorHandler::$sentryErrorHandler->handleError($type, $message, $file, $line);
        }
    }

    static function handleException($exception)
    {
        if (ErrorHandler::isEnabled()) {
            ErrorHandler::$sentryClient->captureException($exception);
        }
    }

    static function setupErrorHandling($sentry_dsn)
    {
        if ($sentry_dsn) {
            require_once __DIR__ . '/../vendor/sentry/sentry/lib/Raven/Autoloader.php';
            Raven_Autoloader::register();
            require_once __DIR__ . '/Administrate_Raven_Errorhandler.php';
            ErrorHandler::$sentryClient = new Raven_Client($sentry_dsn);
            ErrorHandler::$sentryErrorHandler = new Administrate_Raven_ErrorHandler(ErrorHandler::$sentryClient);
            ErrorHandler::$sentryErrorHandler->registerExceptionHandler();
            ErrorHandler::$sentryErrorHandler->registerErrorHandler(true, E_ALL & ~E_WARNING & ~E_NOTICE & ~E_USER_WARNING & ~E_USER_NOTICE & ~E_DEPRECATED & ~E_USER_DEPRECATED & ~E_STRICT);
            ErrorHandler::$sentryErrorHandler->registerShutdownFunction();
        }
    }
}
