<?php

class MappedItemCalculator {

	function calculate_tax($mapped_item, $tax_rate) {
		if ($this->not_taxable($mapped_item)) {
			return 0;
		}
		$subtotal = $mapped_item['subtotal'];
		if ($this->discount_should_be_applied($mapped_item)) {
			$subtotal = $subtotal - $mapped_item['discount'];
		}
		$gross_total = $subtotal * $tax_rate;
		return $gross_total - $subtotal;

	}

	private function not_taxable($mapped_item) {
		return array_key_exists('is_taxable', $mapped_item) && $mapped_item['is_taxable'] == False;
	}

	private function discount_should_be_applied($mapped_item) {
		return array_key_exists('is_discountable', $mapped_item) && $mapped_item['is_discountable'] == True && array_key_exists('discount', $mapped_item);
	}
}
