<?php
//  Event Session
//
class AdministrateAPIEventSession extends AdministrateAPIObject {
	private static $fields = array(
		'title' => array(
			'api_field' => 'Title'
		),
		'start_date' => array(
			'api_field' => 'StartDate'
		),
		'end_date' => array(
			'api_field' => 'EndDate'
		),
		'start_time' => array(
			'api_field' => 'StartTime'
		),
		'end_time'  => array(
			'api_field' => 'EndTime'
		)
	);
	
	protected static function _get_api_map() {
		return self::$fields;
	}
	
	public function get_title() {
		return $this->_get_field('title');
	}
	
	public function get_start_date() {
		return  $this->_get_field('start_date');
	}
	
	public function get_end_date() {
		return $this->_get_field('end_date');
	}
	
	public function get_dates() {
		return array( "start" => $this->get_start_date(), "end" => $this->get_end_date() );
	}
	
	public function get_start_time() {
		$t = $this->_get_field('start_time');
		if( is_null($t) ) {
			return false;
		}
		return $t;
	}
	
	public function get_end_time() {
		$t = $this->_get_field('end_time');
		if( is_null($t) ) {
			return false;
		}
		return $t;
	}
	
	public function get_times() {
		return array( "start" => $this->get_start_time(), "end" => $this->get_end_time() );
	}
	
	public function is_multi_day() {
		return $this->_get_field('start_date') != $this->_get_field('end_date');
	}
	
	public function has_times() {
		return !is_null( $this->_get_field('start_time') );
	}
	
	public function has_all_times() {
		return !is_null( $this->_get_field('start_time') ) && !is_null( $this->_get_field('end_time') );
	}
}
