<?php

include_once '../../../weblink-components/config.php';
include_once '../../ErrorHandler.php';
ErrorHandler::setupErrorHandling($_CONFIG['sentry_dsn']);

if (ErrorHandler::isEnabled()) {
	function error_handler($errno, $errstr, $errfile, $errline)
	{
		if($errno == E_ERROR || $errno == E_WARNING) {
			ErrorHandler::handleError($errno, $errstr, $errfile, $errline);
		}
		return false;
	}
	set_error_handler("error_handler");
}

$wpmpaymentrequest = simplexml_load_string(file_get_contents("php://input"));

$transaction_ref = $wpmpaymentrequest->transactionreference;
$success = $wpmpaymentrequest->transactionreference;

$use_sales_opportunities = $wpmpaymentrequest->customfield8;
$api_key = $wpmpaymentrequest->customfield9;
$order_id = $wpmpaymentrequest->customfield10;

$msguid = $wpmpaymentrequest->attributes();

echo '<wpmmessagevalidation msgid="'.$msguid.'">
	<validation>1</validation>
	<validationmessage><![CDATA[Success]]></validationmessage>
	</wpmmessagevalidation>';


include_once('../../../weblink-components/options.php');
include_once('../../administrate-common.php');
include_once('../../../weblink-components/AdministrateWebLink.php');
include_once('../../../weblink-components/AdministrateMysqlDB.php');
include_once('../../../weblink-components/AdministrateDao.php');

$wl = new AdministrateWebLink($_CONFIG, $_CONFIG['service']['debug'], false, $api_key);

require_once('../../../weblink-components/widgets/checkout/AdministrateWidgetCheckoutOrder.php');

$order = new AdministrateWidgetCheckoutOrder(
	$wl,
	array('order_id' => $order_id),
	false // Ignore API key when generating SELECT to grab this order
);

if (!$order->exists()) {
	// Order doesn't exist, throw a 404 back to PP.
	throw new Exception("IPN sent against non-existent order.");
}

// Complete the order. 'use_sales_opportunities' is a string 'true' or 'false'
$order->complete(true, array(), $use_sales_opportunities == 'true', $api_key);
