<?php
/*
	Event list template
*/
$alt_class = 'administrate-alt';
$alt = false; 
?>

<div id="administrate-event-list" class="administrate-event-list administrate-widget">
	
	<?php foreach( $event_groups as $title => $group ) { ?>
			
		<?php $first_item = true; ?>
		<?php foreach( $group as $event ) { ?>
			
			<?php $course_url = $this->service->get_widget_url_course( $event->get_course_code() ); ?>
			
			<?php if( $first_item && ($title !== 0) ) { ?>
			<h3>
				<?php if( $group_by == 'course' ) {
					echo "<a href='{$course_url}'>{$title}</a>";
				}
				else {
					echo $title;
				} ?>
			</h3>
			<?php } ?>
			
			<dl data-event-id="<?php echo  $event->get_id(); ?>">
				<dt <?php if ($alt) { echo "class='{$alt_class}'"; } ?> >
				<?php
					if( $group_by == 'course' ) {
						// Course title is already the section title,
						// so use the event dates for item titles
						$item_title = $this->service->t_dates($event->get_dates(), $event->is_online(), $event->is_persistent());

						if($s->is_persistent()) {
							$item_title = 'Access Duration: ' . $event->get_access_duration() . ' days.';
						} else {
							$item_title = $this->service->t_dates($event->get_dates(), $event->is_online(), $event->is_persistent());
						}
					
						if( $show_times && !$event->is_persistent() ) {
							$item_title = $item_title.", ".$this->service->t_times($event->get_times());
						}
						echo $item_title;
					}
					else {
						// Use the course title for item titles
						$item_title = $event->get_course_title();
						
						if( $show_codes ) {
							$item_title = $event->get_course_code(). ' &ndash; ' .$item_title;
						}
						echo "<a href='{$course_url}'>{$item_title}</a>";
					}
				?>
				
				</dt>
				
				<?php if( $show_dates && ($group_by != 'course') ) { ?>
					<dd <?php if ($alt) { ?> class="<?php echo  $alt_class; ?>"<?php } ?>>
						<?php if( $event->is_multi_session() ) { ?><span class="administrate-session-link"><?php } ?>
							<?php if($event->is_persistent()) { ?>
								<?php echo $this->service->get_text('Access Duration') . ': ' . $event->get_access_duration() . $this->service->get_text(' days') . '.'; ?>
							<?php } else { ?>
								<?php echo  $this->service->t_dates($event->get_dates($show_classroom_dates), $event->is_online(), $event->is_persistent()); ?>
							<?php } ?>
						<?php if( $event->is_multi_session() ) { ?></span><?php } ?>
					</dd>
					
					<?php if( $show_times && !$event->is_persistent() ) { /* Show times only if dates shown*/ ?>
					<dd <?php if ($alt) { ?> class="<?php echo  $alt_class; ?>"<?php } ?>>
						<?php echo  $this->service->t_times($event->get_times()); ?>
					</dd>
					<?php } ?>
				<?php } ?>

				<?php if( $show_locations && ($group_by != 'location') ) { ?>
					<dd<?php if ($alt) { ?> class="<?php echo  $alt_class; ?>"<?php } ?>><?php echo  $event->get_location(); ?></dd>
				<?php } ?>

				<?php if($show_venues) { ?>
					<dd<?php if ($alt) { ?> class="<?php echo  $alt_class; ?>"<?php } ?>>
						<?php if( $event->get_venue_description() ) { ?>
							<span class="administrate-venue-link"><?php echo  $event->get_venue_name(); ?></span>
						<?php } else { ?>
							<?php echo  $event->get_venue_name(); ?>
						<?php } ?>
					</dd>
				<?php } ?>

				<?php $alt = !$alt; ?>
			</dl> <?php } ?>
			
			<?php $first_item = false; ?>
	<?php } ?>
	
	<?php if( empty($event_groups) ) { ?>
		<p><?php echo  $no_events_message; ?></p>
	<?php } ?>

	<?php /* Event sessions */ ?>
	<?php foreach( $event_list as $event ) { if($event->is_multi_session()) {  ?>
		<div class="administrate-session-container" id="sessions-<?php echo  $event->get_id(); ?>">
			<?php include( $this->service->get_widget_dir(). "/event_sessions.php" ); ?>
		</div>
	<?php }} ?>

	<?php /* Event venues */ ?>
	<?php foreach( $event_list as $event ) { if($event->get_venue_name() && $event->get_venue_description()) {  ?>
		<div class="administrate-venue-container" id="venues-<?php echo  $event->get_id(); ?>">
			<?php echo $event->get_venue_description() ?>
		</div>
	<?php }} ?>
	
</div>
