<?php /*
	Event Template
*/ ?>

<?php /* Course code */ ?>

<ul class='event'>
<?php if( $show_codes ) { ?> 
<li>
	<label class="slide-title">
		<?php if( $show_codes ) { echo $event->get_course_code(); } ?>
	</label>
</li>
<?php } ?>

<?php /* Course title */ ?>

<?php if( $show_names ) { ?>
<li>
<label class="slide-title">
	
	<?php if(isset($course_widget_url)) { ?>
		<a href="<?php echo  $course_widget_url; ?>"><?php echo  $event->get_course_title(); ?></a>
	<?php } else { ?>
		<?php echo  $event->get_course_title(); ?>
	<?php } ?>
	
</label>
</li>
<?php } ?>

<?php if($event->get_registration_deadline()) { ?>
<li>	
	<label class="administrate-session-link-small">Registration Closes<br><?php echo AdministrateDateTime::date_time($event->get_registration_deadline(), $registration_deadline_timezone); ?></label>
</li>
<?php } ?>

<?php /* Course location */ ?>

<?php if( $show_locations ) { ?>
<li>
	<label class="slide-description">
		<?php echo  $event->get_location(); ?>
	</label>
	<?php if($event->get_venue_name() && $show_venues) { ?>
		<p>
			<?php if($event->get_venue_description()) { ?>
				<span class="administrate-venue-link administrate-venue-link-small"><?php echo $event->get_venue_name(); ?></span>
			<?php } else { ?>
				<?php echo $event->get_venue_name(); ?>
			<?php } ?>
		</p>
	<?php } ?>
</li>
	
<?php } ?>

<?php /* Event dates */ ?>

<?php if( $show_dates ) { ?>
<li>
	<div class="slide-description">
		<?php if( $event->is_multi_session() ) { ?><span class="administrate-session-link"><?php } ?>

		<?php if($event->is_persistent()) { ?>
			<?php echo 'Access Duration: ' . $event->get_access_duration() . ' days.'; ?>
		<?php } else { ?>
			<?php echo  $this->service->t_dates($event->get_dates($show_classroom_dates), $event->is_online(), $event->is_persistent()); ?>
		<?php } ?>

		<?php if( $event->is_multi_session() ) { ?></span><?php } ?>
	</div>
</li>
<?php } ?>

<?php /* Event times */ ?>

<?php if( $show_dates && $show_times && !$event->is_persistent() ) { ?>
	<li>
		<div class="slide-description">
			<?php echo  $this->service->t_times($event->get_times()); ?>
		</div>
	</li>
<?php } ?>

<?php /* Event price */ ?>

<?php if( $show_prices ) { ?>
<li>
	<div class="slide-description">
		<?php echo  $this->service->t_prices($event, $basis, $currency, $show_currency_indicator, $currency_indicator, $currency_list); ?>
		<?php if($tax_label) { ?>
			<abbr title="<?php echo ($basis == 'gross' ? $this->service->get_text('Tax included') : $this->service->get_text('Tax not included')); ?>" >
				<?php echo ($basis == 'gross' ? $this->service->get_text('inc.') : $this->service->get_text('exc.')); ?>
			</abbr>
			<?php echo $tax_label; ?>
		<?php } ?>
	</div>
</li>
<?php } ?>
</ul>
