<?php
use PHPUnit\Framework\TestCase;
require_once('wordpress-components/WPPluginPattern/WPPluginUrlAndPathResolver.php');

function content_url() {
	return '/wp-content';
}

class WPPluginUrlAndPathResolverTest extends TestCase {
	private $config;
	private $customPath;

	public function setUp() {
		$this->customPath = '/home/wordpress/wp-content/directory/location';
		$this->config = array(
			"plugin" => array(
				"path" => $this->customPath
			)
		);
	}

	public function test_resolved_path_without_config() {
		$pathAndUrlResolver = new WPPluginUrlAndPathResolver(get_class($this));
		$path = $pathAndUrlResolver->get_path();

		$expectedPath = __DIR__;
		$this->assertEquals($expectedPath, $path);
	}

	public function test_resolved_path_with_config() {
		$pathAndUrlResolver = new WPPluginUrlAndPathResolver(get_class($this), $this->config);
		$path = $pathAndUrlResolver->get_path();
		$this->assertEquals($this->customPath, $path);
	}

	public function test_resolved_url() {
		$pathAndUrlResolver = new WPPluginUrlAndPathResolver(get_class($this), $this->config);
		$url = $pathAndUrlResolver->get_url();
		$this->assertEquals('/wp-content/directory/location', $url);
	}

}
