<?php
header("Expires: on, 01 Jan 1970 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

set_time_limit(300);

//  Include configuration
require_once('config.php');
require_once('options.php');

require_once('../common/administrate-common.php');
require_once('AdministrateMysqlDB.php');
require_once('AdministrateWebLink.php');
require_once('../common/ErrorHandler.php');

ErrorHandler::setupErrorHandling($_CONFIG['sentry_dsn']);

//  Initialize the service
$_CONFIG['options'] = array_merge($_CONFIG['options'], $_GET);

ob_start();

//API Key From Administrate
if (preg_match('+^/api_key/(add|edit|delete)$+', $_SERVER['REQUEST_URI'], $matches) === 1 && $_SERVER['REQUEST_METHOD'] == 'POST') {

	if (array_key_exists('key', $_POST) && $_POST['key']) {
		//little test for authenticity
		if (md5($_POST['username'].$_POST['password'].$_POST['int']) == $_POST['key']) {
				
			$db = new AdministrateMysqlDB(
				$_CONFIG['service']['db']['name'], 
				$_CONFIG['service']['db']['user'], 
				$_CONFIG['service']['db']['password'],
				'',
				$_CONFIG['service']['db']['host']
			);

			//look up action from url preg_match above
			$action = $matches[1];

			//New API key
			if ($action == 'add') {
				$db->query("
					INSERT INTO
						weblink
					SET
						api_key = '{$db->format_string($_POST['key'])}',
						soap_url = 'https://{$db->format_string(trim($_POST['referrer']))}/wsdl/publicxml1.6.wsdl',
						rest_url = 'https://{$db->format_string(trim($_POST['referrer']))}/api/v2/weblink/',
						username = '{$db->format_string($_POST['username'])}',
						password = '{$db->format_string($_POST['password'])}'
				");
				$id = $db->get_last_insert_id();
				if ($id) {
					$db->query("
						DELETE FROM
							weblink
						WHERE
							soap_url = 'https://{$db->format_string(trim($_POST['referrer']))}/wsdl/publicxml1.6.wsdl'
							AND id != {$id};
					");
					echo json_encode(array('success' => true));
					die();
				}

			//Edit credentials on existing user
			} else if ($action == 'edit') {
			
				$pw_query = '';
				if (trim($_POST['password']) != '') {
					$pw_query = ",  password = '{$db->format_string($_POST['password'])}' ";
				}

				$db->query("
					UPDATE
						weblink
					SET
						username = '{$db->format_string($_POST['username'])}'
						$pw_query
					WHERE 
						soap_url = 'https://{$db->format_string(trim($_POST['referrer']))}/wsdl/publicxml1.6.wsdl'
				");
				echo json_encode(array('success' => true));
				die();

			//No longer a weblink user
			} else if ($action == 'delete') {
				$db->query("
					DELETE FROM
						weblink
					WHERE 
						soap_url = 'https://{$db->format_string(trim($_POST['referrer']))}/wsdl/publicxml1.6.wsdl'
				");
				echo json_encode(array('success' => true));
				die();
			} 
		}
	}

	echo json_encode(array('success' => false));
	die();
}

//Weblink Request
$_AWL = new AdministrateWebLink($_CONFIG, $_CONFIG['service']['debug']);
ob_flush();

?>
