<?php
//  Initialize step definitions
$steps = array(
	1	=>	$this->service->get_text('Course'),
	2	=>	$this->service->get_text('Attendees'),
	3	=>	$this->service->get_text('Terms'),
	4	=>	$this->service->get_text('Confirm &amp; Pay')
);

//  Loop through steps and set empty content for any that don't exist
foreach ($steps as $num=>$title) {
	if (!isset($step_content[$num])) {
		$step_content[$num] = '';
	}
}

//  If the complete_content variable isn't set, default to empty
if (!isset($complete_content)) {
	$complete_content = '';	
}

//  If this is less than step 5, set the next step to current step plus 1
if ($current_step < 5) {
	$next_step = $current_step + 1;
}
?>

<div id="<?php echo  $this->add_namespace('', '-'); ?>" class="<?php echo  $this->service->add_namespace('widget', '-'); ?>">
	<h2>
		<?php echo  $this->widgetTitle; ?> 
		<?php if ($current_step < 5) { ?>
			<span id="<?php echo  $this->add_namespace('reset', '-'); ?>">[<a href="<?php echo  $this->_get_reset_url(); ?>"><?php $this->service->echo_text('change course'); ?></a>]</span>
		<?php } ?>
	</h2>
	<?php if ($current_step < 5) { ?>
	<form action="<?php echo  $formAction; ?>" method="post" id="administrate-checkout-form">
			<input type="hidden" name="step" value="<?php echo  $next_step; ?>" id="<?php echo  $this->add_namespace(array('next', 'step'), '-'); ?>">
            <input type="hidden" id="<?php echo  $this->add_namespace('eventId', '-'); ?>" value="<?php echo  $this->params['event_id']; ?>">
            <input type="hidden" id="<?php echo  $this->add_namespace('trackId', '-'); ?>" value="<?php echo  $this->params['track_id']; ?>">
            <input type="hidden" id="<?php echo  $this->add_namespace('objectives', '-'); ?>" value="<?php echo  $this->params['objectives']; ?>">
            <input type="hidden" name="<?php echo  $this->orderKey; ?>" id="<?php echo  $this->add_namespace('orderId', '-'); ?>" value="<?php echo  $this->order->get_id(); ?>">
			<ol class="ui-tabs-nav">
				<?php $n_step = 1; ?>
				<?php foreach ($steps as $step=>$title) { ?>
					<?php
					//  Set the CSS class
					$tabClass = 'ui-state-default';
					if ($step == $current_step) {
						$tabClass = 'ui-state-active';	
					} else if ($step > $this->order->get_max_step()) {
						$tabClass = 'ui-state-disabled';	
					}
					
					//  Set the link HREF
					$href = $this->get_step_url($step);
					?>
					<li class="<?php echo  $tabClass; ?>"><a href="<?php echo  $href; ?>"><?php echo  $n_step++; ?>: <?php echo  $title; ?></a></li>
				<?php } ?>
			</ol>
			
			<?php $n_step = 1; ?>
			<?php foreach ($steps as $step=>$title) { ?>
				<div id="<?php echo  $this->add_namespace(array('step', $n_step), '-'); ?>" class="<?php echo  $this->add_namespace('step', '-'); ?><?php if ($n_step != $current_step) { ?> <?php echo  $this->service->add_namespace('hidden', '-'); ?><?php } ?>"><?php echo  $step_content[$step]; ?></div>
				<?php $n_step++; ?>
			<?php } ?>
		</form>
	<?php } ?>
	<div id="<?php echo  $this->add_namespace('complete', '-'); ?>"<?php if ($current_step != 5) { ?> class="<?php echo  $this->service->add_namespace('hidden', '-'); ?>"<?php } ?>><?php echo  $complete_content; ?></div>
</div>

<?php
	if($this->order->get_event_id()) {
		$is_event_free = $this->order->is_free();
	} else {
		$track = $this->order->get_track();
		list(
			$tax_amount,
			$tax_name,
			$net_price,
			$discounted_net_price,
			$gross_price,
			$discounted_gross_price,
		) = AdministrateLearningTrackWidget::price_detail(
			$track,
			$this->service->get_option('currency', 'pricing'),
			$this->order->get_num_attendees(),
			$this->get_order()->get_discount_type(),
			$this->get_order()->get_discount_rate()
		);
		$is_event_free = ($discounted_gross_price == 0);
	}

	if(
		(strtolower( $this->paymentProcessorName ) == "stripe")
		&& $this->params['payment_by_cc']
		&& !$is_event_free
	) {
?>
	<script type="text/javascript" src="https://js.stripe.com/v3/"></script>
	<script type="text/javascript" src="<?php echo  $this->service->get_abs_url("common/processors/stripe/lib/jquery.paymnet.js") ?>"></script>
	<script type="text/javascript" src="<?php echo  $this->service->get_abs_url("common/processors/stripe/checkout_stripe_form.js") ?>"></script>
<?php
	}
?>
