<?php extract($params); ?>

<h3><?php $this->service->echo_text('Attendee Details'); ?></h3>

<?php $this->service->display_errors($errors, $this->service->get_option('validation_error_message')); ?>

<?php $fieldClass = $this->service->add_namespace('field', '-'); ?>

<fieldset id="<?php echo  $this->add_namespace(array('buyer', 'details'), '-'); ?>">
	<legend><?php echo  $this->service->get_text( $is_event_free ? 'Contact Information' : 'Buyer Information' ); ?></legend>
	<input type="hidden" name="order_buyer_details" value="">
	<?php foreach ($buyer_fields as $field) { ?>
		<?php $id = $this->add_namespace(array('buyer', str_replace('_', '-', $field)), '-');; ?>
		<div class="<?php echo  $fieldClass; ?>">
			<label for="<?php echo  $id; ?>"><?php echo  $this->service->get_data_label('orders', 'order_buyer_details', $field); ?></label>
			<input type="text" name="order_buyer_details_<?php echo  $field; ?>" id="<?php echo  $id; ?>" value="<?php echo  stripslashes($buyer_values[$field]); ?>" maxlength="64">
		</div>
	<?php } ?>
	<div class="<?php echo  $fieldClass; ?> <?php echo  $fieldClass; ?>-check" id="<?php echo  $this->add_namespace(array('buyer', 'is', 'attendee', 'field'), '-'); ?>">
		<label>
			<input type="checkbox" name="buyer_is_attendee" id="<?php echo  $this->add_namespace(array('buyer', 'is', 'attendee'), '-'); ?>">
			<?php echo  $this->service->get_text( $is_event_free ? 'Contact is also attendee.' : 'Buyer is also attendee.' ); ?>
		</label>
	</div>
</fieldset>

<fieldset id="<?php echo  $this->add_namespace(array('invoice', 'address'), '-'); ?>">
	<legend><?php echo  $this->service->get_text( $is_event_free ? 'Contact Address' : 'Invoice Address' ); ?></legend>
	<input type="hidden" name="order_invoice_address" value="">
	<?php foreach ($invoice_fields as $field) { ?>
		<?php $id = $this->add_namespace(array('invoice', str_replace('_', '-', $field)), '-'); ?>
		<div class="<?php echo  $fieldClass; ?>">
			<label for="<?php echo  $id; ?>"><?php echo  $this->service->get_data_label('orders', 'order_invoice_address', $field); ?></label>
			<?php if ($field == 'country') { ?>
				<select name="order_invoice_address_<?php echo  $field; ?>" id="<?php echo  $id; ?>">
					<?php foreach ($countries as $code=>$name) { ?>
						<option
							value="<?php echo  $code; ?>"
							<?php if ($code == $invoice_values[$field]) { ?>
								selected="selected"
							<?php } ?>
						><?php echo  $name; ?></option>
					<?php } ?>
				</select>
			<?php } else { ?>
				<input type="text" name="order_invoice_address_<?php echo  $field; ?>" id="<?php echo  $id; ?>" value="<?php echo  stripslashes($invoice_values[$field]); ?>" maxlength="64">
			<?php } ?>
		</div>
	<?php } ?>
</fieldset>

<input type="hidden" name="order_attendee_details" value="">
<?php for ($i = 1; $i <= $num_attendees; ++$i) { ?> 
	<fieldset id="<?php echo  $this->add_namespace(array('attendee', 'details', $i), '-'); ?>">
		<legend><?php $this->service->echo_text('Attendee'); ?> <?php echo  $i; ?></legend>
		<?php foreach ($attendee_fields as $field) { ?>
			<?php 
			$id = $this->add_namespace(array('attendee', str_replace('_', '-', $field), $i), '-'); 
			$value = '';
			if (isset($attendee_values[$field][$i-1])) {
				$value = $attendee_values[$field][$i-1];	
			}
			?>
			<div class="<?php echo  $fieldClass; ?>">
				<label for="<?php echo  $id; ?>"><?php echo  $this->service->get_data_label('orders', 'order_attendee_details', $field); ?></label>
				<input type="text" name="order_attendee_details_<?php echo  $field; ?>[]" id="<?php echo  $id; ?>" value="<?php echo  $value; ?>" maxlength="64">
			</div>
		<?php } ?>
	</fieldset>
<?php } ?>

<input type="submit" value="<?php $this->service->echo_text('Continue'); ?>" class="<?php echo  $this->service->add_namespace('btn', '-'); ?>">
