<?php
//  Administrate course widget
class AdministrateWidgetCourse extends AdministrateWidget {

	//  Configuration
	protected $key = 'course';
	
	//  Properties
	private $course = false;
	
	/*
	//  Constructor
	public function __construct(&$service) {
		
		//  Call parent constructor
		parent::__construct($service);
		
		//  Add the CSS
		//$this->service->include_style($this->add_namespace(''), $this->_get_url('/style.css'));
			
	}
	*/
	
	//  Run the checkout
	public function run() {
		
		//  Extract parameters
		extract(array_merge(
			array(
				'course_code'		=>	'',
				'show_codes'		=>	true,
				'show_event_table'		=>	true,
				'show_course_details'	=>	true,
				'show_fields'		=>	'code,summary,schedule,location,inclusions,method,prerequisites,topics,benefits,duration'
			), 
			$this->params
		));
		
	
		//  Set param types
		$show_event_table = $this->_is_true($show_event_table);
		$show_codes = $this->_is_true($show_codes);
		$show_course_details = $this->_is_true($show_course_details);
		$show_fields = array_map('trim', explode(',', $show_fields));
		
		//  If no course parameter was passed, see if we can get a request parameter
		if (empty($course_code)) {
			if (isset($_REQUEST[$this->service->add_namespace(array('course', 'id'))])) {
				$course_code = $_REQUEST[$this->service->add_namespace(array('course', 'id'))];
			}
		}
		
		//  Try to initialize the course  
		if (!empty($course_code)) {
			$this->course = Administrate::api()->get_course($course_code);
		}
		
		//  If the course exists, display it
		if ($this->course->get_code()) {
		
			$course_fields = $course_fields = $this->service->get_course_fields($this->course, $show_fields);
			
			//  Include the template
			ob_start();
			include($this->get_path('/views/course.php'));
			return ob_get_clean();
		
		//  Otherwise display the subcategory
		} else {
			
			return $this->service->run(
				'course_list',
				array(
					'show_codes'	=>	$show_codes
				)
			);
			
		}
		
	}

}
