<?php
//  Administrate subcategory widget
class AdministrateWidgetSubcategory extends AdministrateWidget {

	//  Configuration
	protected $key = 'subcategory';
	
	//  Properties
	private $subcategory = false;
	
	//  Run the checkout
	public function run() {
		
		//  Extract parameters
		extract(array_merge(
			array(
				'subcategory_id'	=>	0,
				'category_id'		=>	0,
				'show_codes'		=>	true,
				'show_children'		=>	true,
				'show_description'	=>	true
			), 
			$this->params
		));
		
		//  Set param types
		$show_codes = $this->_is_true($show_codes);
		$show_children = $this->_is_true($show_children);
		$subcategoryId = intval($subcategory_id);
		$categoryId = intval($category_id);
		$show_description = $this->_is_true($show_description);
		
		//  If no subcategory parameter was passed, see if we can get a request parameter
		if ($subcategoryId === 0) {
			if (isset($_REQUEST[$this->service->add_namespace(array('subcategory', 'id'))])) {
				$subcategoryId = $_REQUEST[$this->service->add_namespace(array('subcategory', 'id'))];
			}
		}
		
		//  If no category parameter was passed, see if we can get a request parameter
		if ($categoryId === 0) {
			if (isset($_REQUEST[$this->service->add_namespace(array('category', 'id'))])) {
				$categoryId = $_REQUEST[$this->service->add_namespace(array('category', 'id'))];
			}
		}
		
		//  Try to initialize the subcategory 
		if (!empty($subcategoryId)) {
			$this->subcategory = Administrate::api()->get_subcategory($subcategoryId);
		}
		
		//  If the subcategory exists, display it
		if ($this->subcategory) {
		
			//  Include the template
			$this->_set_courses();
			ob_start();
			include($this->get_path('/views/subcategory.php'));
			return ob_get_clean();
		
		//  Otherwise display the category
		} else {
			
			return $this->service->run(
				'category',
				array(
					'category_id'   =>	$category_id,
					'show_codes'	=>	$show_codes
				)
			);
			
		}
		
	}
	
	//  Set courses
	private function _set_courses() {
		$this->courses = Administrate::api()->get_course_list(array('CourseSubCategoryID'=>$this->subcategory->get_id()));
	}
	
	//  Get courses
	public function get_courses() {
		return $this->courses;
	}

}
