<?php

class WPPluginUrlAndPathResolver {

	private $className;
	private $pathOverride;

	public function __construct($className, $config = null) {
		$this->className = $className;
		$this->setPathOverride($config);
	}

	private function setPathOverride($config) {
		if ($config && array_key_exists('plugin', $config) && array_key_exists('path', $config['plugin'])) {
			$this->pathOverride = $config['plugin']['path'];
		} else {
			$this->pathOverride = null;
		}
	}

	public function get_path() {
		if ($this->pathOverride) {
			return $this->pathOverride;
		} else {
			$reflector = new ReflectionClass($this->className);
			return dirname($reflector->getFileName());
		}
	}

	public function get_url() {
		$wordPressContentDirectory = strrchr(content_url(), '/');
		$widgetUrlRelativeToContentDirectory = strstr($this->get_path(''), $wordPressContentDirectory);

		// Workaround for windows hosts, who will have backslashes in their filenames.
		return str_replace('\\', '/', $widgetUrlRelativeToContentDirectory);
	}
}
