<?php
extract($params);
define('DONOTCACHEPAGE', true);

$netPrice = $this->get_order()->get_event_net_price(true);

$submit_text = $is_event_free ? __("Confirm Booking", "administrate") : __("Place Order by Invoice", "administrate");

$courseNameClass = $this->add_namespace(array('course', 'name'), '-');
$taxClass = $this->add_namespace(array('tax'), '-');

// Discount
$netPriceNoDiscount = $this->get_order()->get_event_net_price(false);
$grossPriceNoDiscount = $this->get_order()->get_event_gross_price(false);

if($this->get_order()->get_discount_type() == 'fixed') {
	$d_rate = $this->get_order()->get_discount_rate();
	if($d_rate > ($netPriceNoDiscount * $num_attendees)) {
		$netDiscount = ($netPriceNoDiscount * $num_attendees);
	} else {
		$netDiscount = $d_rate;
	}

	$taxRate = $grossPriceNoDiscount / $netPriceNoDiscount;
	$netWithDiscount = ($netPriceNoDiscount * $num_attendees) - $netDiscount;
	$taxPrice = ($netWithDiscount * $taxRate) - $netWithDiscount;
	$grossPrice = $netWithDiscount + $taxPrice;

} else {
	$netDiscount = max(0, ($netPriceNoDiscount - $netPrice) * $num_attendees);
	$grossPrice = $this->get_order()->get_event_gross_price(true) * $num_attendees;
	$taxPrice = ($grossPrice - ($netPrice * $num_attendees));
}

if($grossPrice == 0) {
	$is_event_free = true;
}

$discountPercentage = $this->get_order()->get_discount_rate() * 100;

?>

<?php $this->plugin->display_errors($errors); ?>

<h3><?php _e('Please confirm the following order:', 'administrate'); ?></h3>
<p><?php _e('If you need to change any details, please use the navigation above to return to the section you need to modify.', 'administrate'); ?></p>

<table <?php if( $this->get_order()->get_promo_code() == '' ) echo 'style="display: none;"'; ?> >
	<thead>
		<th><?php _e('Discount', 'administrate'); ?></th>
		<th><?php _e('Net Discount', 'administrate'); ?></th>
	</thead>
	<tbody>
		<td>Promo Code (<?php
			if($this->get_order()->get_discount_type() == 'fixed') {
				echo 'fixed amount';
			} else {
				echo $discountPercentage . '%';
			}
			?>)</td>
		<td>
			<?php
				$item_discounts = 0;
				foreach($mapped_items as $item) { $item_discounts += $item['discount']; }
				echo $this->plugin->format_currency($netDiscount + $item_discounts, $this->get_order()->get_currency());
			?>
		</td>
	</tbody>
</table>

<h3><?php _e('Order Summary', 'administrate'); ?></h3>

<div class="administrate-order-summary-mobile">
	<p><?php _e('Number of Attendees', 'administrate'); ?>: <?php echo  $num_attendees; ?></p>
	<?php if(!$is_event_free) { ?><p>
		<?php _e('Applicable Tax', 'administrate'); ?>:
		<?php echo $this->plugin->format_currency(($taxPrice * $num_attendees), $this->get_order()->get_currency()); ?>
	</p><?php } ?>
</div>

<table class="administrate-order-summary-large">
	<thead>
		<tr>
			<th class="<?php echo  $courseNameClass; ?>"><?php _e('Course', 'administrate'); ?></th>
			<th>
				<?php _e('Price per Person', 'administrate'); ?>
			</th>
			<th class="administrate-attendees"><?php _e('Attendees', 'administrate'); ?></th>

			<?php if(!$is_event_free) { ?>
			<th><?php _e('Subtotal', 'administrate'); ?></th>
			<th class="<?php echo  $taxClass; ?>">
				<span class="administrate_tax_label">
					<?php echo $tax_label . ($event->is_eu_digital_good()? "*":""); ?>
				</span>
			</th>
			<th><?php _e('Total', 'administrate'); ?></th>
			<?php } ?>

		</tr>
	</thead>
	<tbody>
		<tr>
			<th class="<?php echo  $courseNameClass; ?>"><?php echo  $course; ?></th>
			<td><?php
				if($is_event_free) {
					echo 'Free';
				} else {
					if($this->get_order()->get_discount_type() == 'fixed') {
						echo $this->plugin->format_currency($netPriceNoDiscount, $this->get_order()->get_currency());
					} else {
						echo $this->plugin->format_currency($netPrice, $this->get_order()->get_currency());
					}
				}
			?></td>
			<td class="administrate-attendees"><?php echo  $num_attendees; ?></td>
			
			<?php if(!$is_event_free) { ?>
			<td><?php
				if($this->get_order()->get_discount_type() === 'fixed') {
					echo $this->plugin->format_currency(($netPriceNoDiscount * $num_attendees) - $netDiscount, $this->get_order()->get_currency()) . ' <small>(includes discount)</small>';
				} else {
					echo $this->plugin->format_currency(($netPrice * $num_attendees), $this->get_order()->get_currency());
				}
			?></td>
			<td class="<?php echo  $taxClass; ?>"><?php
					echo $this->plugin->format_currency($taxPrice, $this->get_order()->get_currency());
			?></td>
			<td><?php
					echo $this->plugin->format_currency($grossPrice, $this->get_order()->get_currency());
				?></td>
			<?php } ?>

		</tr>
		<?php
		if(count($mapped_items)) {
		?>
			<?php
			foreach($mapped_items as $mapped_item) {
			?>
				<tr>
					<td>
						<?php echo $mapped_item['name']; ?>
					</td>
					<td>
						<?php echo $this->plugin->format_currency(($mapped_item['subtotal'] - $mapped_item['discount']) / $num_attendees, $this->get_order()->get_currency()); ?>
					</td>
					<td>
						<?php echo $num_attendees; ?>
					</td>
					<td>
						<?php echo $this->plugin->format_currency($mapped_item['subtotal'] - $mapped_item['discount'], $this->get_order()->get_currency()); ?>
					</td>
					<td>
						<?php echo $this->plugin->format_currency($mapped_item['tax'], $this->get_order()->get_currency()); ?>
					</td>
					<td>
						<?php echo $this->plugin->format_currency($mapped_item['subtotal'] + $mapped_item['tax'] - $mapped_item['discount'], $this->get_order()->get_currency()); ?>
					</td>
				</tr>
			<?php
			}
			?>
		<?php
		}
		?>
	</tbody>
</table>

<h3><?php _e('Your Details', 'administrate'); ?></h3>
<dl class="<?php echo  $this->plugin->add_namespace(array('field', 'values'), '-'); ?>">
	<?php foreach ($buyer_fields as $field) { ?>
		<?php if (!empty($buyer_values[$field])) { ?>
			<dt><?php echo  $this->plugin->get_data_label('orders', 'order_buyer_details', $field); ?></dt>
				<dd><?php echo  $buyer_values[$field]; ?></dd>
		<?php } ?>
	<?php } ?>
</dl>

<h3><?php _e('Invoice Address', 'administrate'); ?></h3>
<address>
	<span><?php echo $invoice_values['address']; ?></span>
	<span><?php echo $invoice_values['city']; ?>, <?php echo  $invoice_values['territory']; ?> <?php echo  $invoice_values['postal_code']; ?></span>
	<span><?php echo $invoice_values['country']; ?></span>
</address>

<?php for ($i = 1; $i <= $num_attendees; ++$i) { ?>
	<h3><?php _e('Attendee', 'administrate'); ?> <?php echo  $i; ?></h3>
	<dl class="<?php echo  $this->plugin->add_namespace(array('field', 'values'), '-'); ?>">
		<?php foreach ($attendee_fields as $field) { ?>
			<?php if($field == 'notes' && !$show_notes) { continue; } ?>
			<dt><?php echo  $this->plugin->get_data_label('orders', 'order_attendee_details', $field); ?></dt>
				<dd><?php echo  $attendee_values[$field][$i-1]; ?></dd>
		<?php } ?>
	</dl>
<?php } ?>

<?php if (isset($course_fields) && !empty($course_fields)) { ?>
	<h3><?php _e('Course Information', 'administrate'); ?></h3>
	<?php include($this->plugin->get_path('/views/public/course_fields.php')); ?>
<?php } ?>

<?php
// Include the payment block.
require __DIR__ . '/../../../../common/widgets/checkout/views/checkout_step4_payment_block.php';
?>
